KXTERM(1)

NAME
kxterm - the CERN KUIP terminal emulator

SYNOPSIS
kxterm [class] [options]

DESCRIPTION

kxterm is a terminal emulator combining the best features of the (now defunct) Apollo DM pads (like: input and transcript pads, automatic file backup of transcript pad, string search in pads, etc.) and the Korn shell emacs-style command line editing and command line recall mechanism. For more detailed information about the program, please see the online help available from the kxterm Help menu.

kxterm has a number of X resources which can be set by the user; these are listed in the online help and in the file /etc/X11/app-defaults/KXterm, where the default values are set. It should be noted that when kxterm is acting as a client for another application, the desired X resource should be prefixed by "Kx" plus the class name of the application. So for application "Foo" the kxterm resource class would be KxFoo, and one would set KxFoo*background, etc. One can also set the resource class of a kxterm window via the command-line with the class argument.

OPTIONS

-font fn
    Specifies the font used by kxterm. The font fn must be an XLFD (X Logical Font Description), as for example displayed by the xlsfonts program.

-geometry geom
    Specifies the preferred size and position of the kxterm window; see X(7x) for details.

-h, -help
    Show a summary of options.

-iconic
    Specifies that the window manager should start kxterm as an icon.

-n iconname
    Specifies the name of the kxterm window in an iconic state.

-name name
    Specifies both the title and the iconized name of the kxterm window.

-pid pid
    Specifies the process ID of the program that kxterm should act as a client for.

-prompt prompt
    Sets the prompt displayed in the input pad of the program.

-tfont fn
    Specifies the font used by text boxes, the input pad, and the transcript pad of the program. This should probably be a fixed-width font like "courier" or "fixed".

-title title
    Sets the title of the kxterm window to title.

SEE ALSO
• xlsfonts(1) - a program to list available fonts on an X server
• paw++(1) - a program using kxterm for its command interface
• the online help available from kxterm's Help menu

AUTHOR
This manual page was written by Kevin McCarty <kmccarty@debian.org> for the Debian GNU/Linux system (but may be used by others).